package com.koossery.web.action.evaluator;

import javax.faces.context.FacesContext;

import org.alfresco.service.cmr.dictionary.DictionaryService;
import org.alfresco.web.action.evaluator.BaseActionEvaluator;
import org.alfresco.web.bean.repository.Node;
import org.alfresco.web.bean.repository.Repository;

import com.koossery.alfresco.customcontent.model.ProductModel;

/**
 * UI Action Evaluator - Update product content.
 * 
 * @author Landry KOUAM
 *
 */
public class UpdateProductEvaluator extends BaseActionEvaluator{

	private static final long serialVersionUID = -5491245610150267152L;

   /**
    * @see org.alfresco.web.action.ActionEvaluator#evaluate(org.alfresco.web.bean.repository.Node)
    */
   public boolean evaluate(Node node)
   {
	   boolean result = false;
	   
      DictionaryService dd = Repository.getServiceRegistry(
            FacesContext.getCurrentInstance()).getDictionaryService();
            
      result = (dd.isSubClass(node.getType(), ProductModel.TYPE_PRODUCT)) && 
      			(node.isLocked() == false);
      
      return result;
   }
   	
}
