<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@ taglib uri="/WEB-INF/alfresco.tld" prefix="a" %>
<%@ taglib uri="/WEB-INF/repo.tld" prefix="r" %>

<%@ page buffer="32kb" contentType="text/html;charset=UTF-8"%>
<%@ page isELIgnored="false"%>
<%@ page import="javax.faces.context.FacesContext"%>
<%@ page import="org.alfresco.web.app.Application"%>
<%@ page import="com.koossery.alfresco.web.bean.content.SaveProductDialog"%>
<%@ page import="org.alfresco.web.app.servlet.FacesHelper"%>
<%@ page import="org.alfresco.web.ui.common.PanelGenerator"%>

<%@ page import="org.alfresco.web.ui.common.PanelGenerator" %>

<%
   boolean photoFileUploaded = false;

	SaveProductDialog dialog = (SaveProductDialog) FacesHelper.getManagedBean(FacesContext.getCurrentInstance(), "SaveProductDialog");
   if (dialog != null && dialog.getPhotoFileNodeRef() != null)
   {
	   photoFileUploaded = true;
   }
%>

<%-- load a bundle of properties with I18N strings --%>
<f:loadBundle basename="alfresco.messages.customcontent-webclient" var="custom"/>

<a:panel id="general-panel" label="#{custom.new_product}"
         border="white" bgcolor="white" titleBorder="lbgrey" expandedTitleBorder="dotted" titleBgcolor="white" styleClass="mainSubTitle">
<f:verbatim>
<table cellspacing="0" cellpadding="3" border="0" width="100%">
	<tr>
		<td>
		</f:verbatim>
		<h:panelGrid id="panelGrid-01" columns="2" cellpadding="2">
	       	<%-- Name --%>
	       	<h:outputText id="out-01" value="#{custom.name}:"/>
			<h:inputText id="product-name" value="#{DialogManager.bean.name}" 
	            maxlength="1024" size="20" />
	        	
	       	<%-- Description --%>
	       	<h:outputText id="out-02" value="#{custom.description}:"/>
			<% PanelGenerator.generatePanelStart(out, request.getContextPath(), "white", "white"); %>
			<h:inputTextarea id="product-description" rows="6" cols="30" value="#{DialogManager.bean.description}" />
			<% PanelGenerator.generatePanelEnd(out, request.getContextPath(), "white"); %>

	       	<%-- REF --%>
	       	<h:outputText id="out-03" value="#{custom.reference}:"/>
    		<h:inputText id="product-reference" value="#{DialogManager.bean.ref}" 
                maxlength="1024" size="35" disabled="true"/>	        
	
	       	<%-- Prize --%>
	       	<h:outputText id="out-04" value="#{custom.prize}:"/>
			<h:inputText id="product-prize" value="#{DialogManager.bean.prize}" 
	            maxlength="1024" size="20" />

	       	<%-- Stock --%>
	       	<h:outputText id="out-05" value="#{custom.stock}:"/>
			<h:inputText id="product-stock" value="#{DialogManager.bean.stock}" 
	            maxlength="1024" size="20" />
         	       
        </h:panelGrid>                     
		
		<f:verbatim>
		</td>
	</tr>
	<tr>
		<td>
		</f:verbatim>

		<h:panelGrid id="panelGrid-02" columns="1" cellpadding="2">
		
		    <%-- Legend --%>		
			<h:panelGrid id="panelGrid-03" columns="2" cellpadding="2">
		       	<h:outputText id="out-06" value="#{custom.legend}:"/>
				<h:inputText id="photo-legend" value="#{DialogManager.bean.pictureLegend}" 
		            maxlength="1024" size="20" />	         	       
	        </h:panelGrid> 

		   <%
		      if (photoFileUploaded == false)
		      {
		   %>

			<%-- Photo --%>
			<h:panelGrid id="panelGrid-04" columns="2" cellpadding="2">
            	<h:outputText id="out-07" value="#{custom.photo}:"/>
          		<r:upload id="photo-uploader" value="#{DialogManager.bean.photoFileName}" framework="dialog"/>           
         	</h:panelGrid>
         	
		   <%}
		      if (photoFileUploaded)
		      {
		   %>
		   
	      <h:panelGrid id="photo-prop-panelGrid" columns="2" cellpadding="2" cellspacing="2" border="0">
			<h:outputText id="photo-label" value="#{custom.photo}:" styleClass="propertiesLabel" />
	        <h:panelGroup id="photo-panelGroup">
	            <h:panelGroup id="pg1" rendered="#{DialogManager.bean.photoUrl == null}">
	               <f:verbatim><div style="border: 2px solid #cccccc;width:200px;height:120px"></f:verbatim>
	            </h:panelGroup>
	            <h:panelGroup id="pg2" rendered="#{DialogManager.bean.photoUrl != null}">
	               <f:verbatim><div style="border: 2px solid #cccccc;width:200px;height:auto"></f:verbatim>
	            </h:panelGroup>
	            <h:graphicImage id="photo-image" url="#{DialogManager.bean.photoUrl}" width="200" rendered="#{DialogManager.bean.photoUrl != null}" />
	            <f:verbatim></div></f:verbatim>
	        </h:panelGroup>
		  </h:panelGrid>
	      <%
	      }
	      %>
         	       
        </h:panelGrid>
         
		<f:verbatim>
		</td>
	</tr>	

</table>
</f:verbatim>
	
</a:panel>

